#
# spec file for Popmail.
# Put in on /usr/src/SPECS, put the tar.gz on SOURCES and 
# run the "rpm -ba popmail.spec" building sentence.
#

%define version 0.4
%define name popmail

Name:		%{name}
Summary:	POP3 email checker and antispam filtering.
Version:	%{version}
Release:	1
Source:		http://web.jet.es/s.romero/prog/popmail-%{version}.tar.gz
Group:		Console/Email
Copyright:	GPL
Buildroot:	/var/tmp/%{name}
Packager:	Santiago Romero <sromero@unix-shells.com>

%description
That's my POP3-email-checker-plus-spam-eraser: just a way to browse
the contents of your mailboxes and delete emails you don't want to
fetch. This program will not fetch the emails (use fetchmail, jfpop
or fetchpop to do this), it just applies some rules to the messages
IN THE MAILBOX in order to allow you to delete some emails before
receiving them (you could, as an example, delete emails with a given
FROM: (sender) header so that forget about some common spammers, or
filter big messages using the maxsize option).

%prep
%setup
make

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT $RPM_BUILD_ROOT/usr/bin
install popmail $RPM_BUILD_ROOT/usr/bin


%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) /usr/bin/popmail
%attr(644,root,root) %doc README INSTALL CHANGES TO_DO HOW-TO-TEST GNU_License popmailrc.example filterfile.example
