/*====================================================================
  checkmail.h ->
              (c) 2000 Santiago Romero AkA NoP / Compiler
                        santiago.romero@iname.com

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Please read the README.* files to know how checkmail works.
 ====================================================================*/

#include <regex.h>

/*-------------------------------------------------------------------*/
#define  SILENT           0
#define  NORMAL           1
#define  VERBOSE          2

#define  DENY_FROM        0
#define  DENY_SUBJECT     1

#define  MAX_FILTERS   9999

struct Message
{
   char    header[4192];
   int     nbytes;
   char    from[256];
   char    date[256];
   char    subject[256];
   char    deleted;
};

struct Server
{
   char    username[32];
   char    password[32];
   char    mailserver[128];
   int     puerto;
   int     num_msgs;
   int     sockfd;
   int     totalsize;
   struct  Message **msgs; 
};


struct Rule
{
   regex_t rule;
   char    rule_text[128];
};

struct Filters
{
   int     num_rules;
   struct  Rule rules[MAX_FILTERS];
};

/*-------------------------------------------------------------------*/
