/*====================================================================
  serverwork.h -> Encapsulates main stuff for serverwork (header file)

              (c) 2000 Santiago Romero AkA NoP / Compiler
                         sromero@unix-shells.com

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Please read the README.* files to know how popmail works.
 ====================================================================*/

/*-------------------------------------------------------------------*/
void CheckBuffer( char * );
int GetnWord(char *, int, char *);
int POPConnect( struct Server *);
int ReadServer( struct Server *, struct Filters *, char, int, FILE * );
int GetMessageHeader( struct Server *, int, char );
int ExtractMessageHeader( struct Server *, int );
int ExtractLine(char *, int, int, char *);
int DeleteMessage( struct Server *, int, char );
int DeleteServerMessage( struct Server *, int );
void POPDisconnect( struct Server *, char );
int POPLogin( struct Server *, char );
int CountLines( char * );

